#ifndef BILLYSHEET_GUI_DATA_HPP
#define BILLYSHEET_GUI_DATA_HPP

#include "character_sheet.hpp"
#include <spdlog/spdlog.h>

namespace gui {
	class Window;

	class GuiData final {
	private:
		friend class Gui;

		Window &window;

		character::CharacterSheet billy;


	public:
		GuiData() = delete;

		explicit GuiData(Window &wwindow) : window(wwindow) { SPDLOG_DEBUG("Creating GUI Data"); }

		~GuiData() noexcept = default;

		[[nodiscard]] Window &get_window() const;
	};
}


#endif //BILLYSHEET_GUI_DATA_HPP
